---
author:
- Orestis Malaspinas, bureau A401, ISC, HEPIA
title: Quelques cours de la filière ISC de hepia
autoSectionLabels: true
autoEqnLabels: true
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: true
numberSections: true
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: book
papersize: A4
cref: false
urlcolor: blue
corrige: false
---

<div align="center">
<video width="640" poster="figs/intro.svg" height="360" controls="true" autoplay="false">
   <source src="videos/malaspinas.mp4" type="video/mp4">
</video>
</div>




:::::::::::::: {.columns}
::: {.column width="40%"}

# Prog. séquentielle en C

Chaîne *BBB* du cours <https://bbb.hesge.ch/rooms/wkm-a1q-7d1-rjb/join>

## Bibliographie 

* Débutants: [E. Barthomier, D. Schang, Le C en 20 heures](https://c.developpez.com/cours/20-heures/)
* Moyens: [J. Gustedt, Modern C](https://hal.inria.fr/hal-02383654/document)

---

## [Théorie](https://malaspinas.academy/prog_seq_c_cours/index.html)

## [Tutoriel git](https://malaspinas.academy/git_tuto/git_tutorial.pdf)

<!-- ## Théorie 

### Introduction [PDF](prog_seq_c_cours/intro.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/cours) -->

---

## Exercices

<!-- ### 02.06.2023: Plus court chemin, [HTML](https://malaspinas.academy/prog_seq_c_tp/shortest_path/graphes.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/shortest_path/graphes.pdf), [MAIN](https://malaspinas.academy/prog_seq_c_tp/shortest_path/squelette/c/main_dijkstra.c), [XML_PARSER_H](https://malaspinas.academy/prog_seq_c_tp/shortest_path/xml_parser.h), [XML_PARSER_C](https://malaspinas.academy/prog_seq_c_tp/shortest_path/xml_parser.c), [TEST_INPUT](https://malaspinas.academy/prog_seq_c_tp/shortest_path/squelette/commandes_de_test/cmd_a_tester_dijkstra.txt), [TEST_OUTPUT](https://malaspinas.academy/prog_seq_c_tp/shortest_path/squelette/results_out/output_dijkstra),  [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/shortest_path/enonce)

### 23.05.2023: Barbes euh... B-arbres, [HTML](https://malaspinas.academy/prog_seq_c_tp/b_arbres/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/b_arbres/b_arbres.pdf), [HEADER](https://malaspinas.academy/prog_seq_c_tp/b_arbres/b_arbre.h), [SQUELETTE](https://malaspinas.academy/prog_seq_c_tp/b_arbres/b_arbre_skel.c), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/b_arbres/enonce)

### 16.05.2023: Classification, [HTML](https://malaspinas.academy/prog_seq_c_tp/classification/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/classification/classification.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/classification/enonce)

### 02.05.2023: Arbres quaternaires, [HTML](https://malaspinas.academy/prog_seq_c_tp/quadtree/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/quadtree/quadtree.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/quadtree/enonce), [BUZZ](https://malaspinas.academy/prog_seq_c_tp/quadtree/buzz.pgm)

### 18.04.2023: Julia, [HTML](https://malaspinas.academy/prog_seq_c_tp/julia/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/julia/julia.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/julia/enonce)

### 28.03.2023: Arbres AVL, [HTML](https://malaspinas.academy/prog_seq_c_tp/arbres_avl/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/arbres_avl/arbres_avl.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/arbres_avl/enonce)


### 21.03.2023: Tris, [HTML](https://malaspinas.academy/prog_seq_c_tp/tris/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/tris/tris.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/tris/enonce)


### 14.03.2023: Code morse, [HTML](https://malaspinas.academy/prog_seq_c_tp/morse/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/morse/code_morse.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/code_morse/enonce), [texte-morse.txt](https://malaspinas.academy/prog_seq_c_tp/morse/texte-morse.txt), [code-morse.txt](https://malaspinas.academy/prog_seq_c_tp/morse/code-morse.txt)


### 28.02.2023: Table de hachage, [HTML](https://malaspinas.academy/prog_seq_c_tp/hashmap/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/hashmap/hashmap.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/hashmap/enonce), [students.txt](https://malaspinas.academy/prog_seq_c_tp/hashmap/students.txt)

### 21.02.2023: Doubles pointeurs, [HTML](https://malaspinas.academy/prog_seq_c_tp/doubles_pointeurs/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/doubles_pointeurs/doubles_pointeurs.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/doubles_pointeurs/enonce)


### 10.01.2023: Jeu du serpent, [HTML](https://malaspinas.academy/prog_seq_c_tp/serpent/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/serpent/serpent.pdf), [GFX](https://malaspinas.academy/prog_seq_c_tp/serpent/gfx.tar), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/serpent/enonce)

### 28.11.2022: Puissance 4, [HTML](https://malaspinas.academy/prog_seq_c_tp/puissance4/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/puissance4/puissance4.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/puissance4/enonce), [Skeleton](https://malaspinas.academy/prog_seq_c_tp/puissance4/skeleton_for_students.tar.gz)


### 20.09.2022: Calendrier, [HTML](https://malaspinas.academy/prog_seq_c_tp/calendar/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/calendar/calendar.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/calendar/enonce) -->

### 14.12.2023: Traitement d'image, [HTML](https://malaspinas.academy/prog_seq_c_tp/traitement_dimages/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/traitement_dimages/traitement_dimages.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/traitement_dimages/enonce)

### 07.12.2023: Matrices, [HTML](https://malaspinas.academy/prog_seq_c_tp/matrices/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/matrices/matrices.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/matrices/enonce)

### 23.11.2023: Complexité algorithmique, [HTML](https://malaspinas.academy/prog_seq_c_tp/complexite/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/complexite/complexite.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/complexite/enonce)

### 16.11.2023: Démineur, [HTML](https://malaspinas.academy/prog_seq_c_tp/demineur/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/demineur/demineur.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/demineur/enonce)

### 09.11.2023: Tris multiples, [HTML](https://malaspinas.academy/prog_seq_c_tp/tris_multiples/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/tris_multiples/tris_multiples.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/tris_multiples/enonce), [SQUELETTE](https://malaspinas.academy/prog_seq_c_tp/tris_multiples/skeleton/skeleton.c)

### 02.11.2023: Chaînes de caractères, [HTML](https://malaspinas.academy/prog_seq_c_tp/chaines_caracteres/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/chaines_caracteres/chaines_caracteres.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/chaines_caracteres/enonce)

### 02.11.2023: Makefiles, [HTML](https://malaspinas.academy/prog_seq_c_tp/makefiles/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/makefiles/makefiles.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/makefiles/enonce)

### 19.10.2023: Fractions, [HTML](https://malaspinas.academy/prog_seq_c_tp/fractions/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/fractions/fractions.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/fractions/enonce)


### 12.10.2023: Tableaux unidimensionnels, [HTML](https://malaspinas.academy/prog_seq_c_tp/tableaux_unidimensionnels/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/tableaux_unidimensionnels/tableaux_unidimensionnels.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/tableaux_unidimensionnels/enonce)

### 05.10.2023: Bissection, [HTML](https://malaspinas.academy/prog_seq_c_tp/bissection/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/bissection/bissection.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/bissection/enonce)

### 28.09.2023: Exercices introductifs, [HTML](https://malaspinas.academy/prog_seq_c_tp/exercices_intro/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/exercices_intro/exercices_intro.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/exercices_intro/enonce)

### 21.09.2023: Nombre secret, [HTML](https://malaspinas.academy/prog_seq_c_tp/nombre_secret/index.html), [PDF](https://malaspinas.academy/prog_seq_c_tp/nombre_secret/nombre_secret.pdf), [GIT](https://gitedu.hesge.ch/programmation_sequentielle/travaux_pratiques/c_lang/nombre_secret/enonce)


:::
::: {.column width="60%"}

# Algo. et structures de données

Chaîne *BBB* du cours  <https://bbb.hesge.ch/rooms/jli-y03-zrx-52a>

## Bibliographie

[T. H. Cormen, C. E. Leiserson, R. L. Rivest and C. Stein, Introduction to Algorithms, 3rd edition](https://mitpress.mit.edu/9780262533058/)

---

## [Théorie](https://malaspinas.academy/algo_cours/index.html)

---

# Université d'automne

## [Polycopié](https://malaspinas.academy/rust-101/book/)

## [Slides](https://malaspinas.academy/rust-101/slides)

## [Git](https://gitedu.hesge.ch/orestis.malaspin/rust-101)

:::
::::::::::::::

---

# Physique appliquée

Chaîne *BBB* du cours <https://bbb.hesge.ch/rooms/ty7-tww-afq-lql/join>

---

##  [Polycopié](https://malaspinas.academy/phys/index.html), [git repo](https://githepia.hesge.ch/orestis.malaspin/isc_physics), [pdf](https://malaspinas.academy/phys/cours.pdf)

## Exercices sur les Lois de Newton, [HTML](phys/exercices/newton.html), [PDF](phys/exercices/newton.pdf)

## Travail pratique: vecteurs, [HTML](https://malaspinas.academy/phys/practical_work/tp_vec), [PDF](https://malaspinas.academy/phys/practical_work/tp_vec.pdf), [tp_vec2.tar](https://malaspinas.academy/phys/practical_work/tp_vec2.tar)

## Travail pratique: planètes, [HTML](https://malaspinas.academy/phys/planets/enonce.html), [PDF](https://malaspinas.academy/phys/planets/enonce.pdf), [skeleton.tar](https://malaspinas.academy/phys/planets/skeleton.tar)

## Travail pratique: lignes de champs, [HTML](https://malaspinas.academy/phys/field_lines/enonce.html), [PDF](https://malaspinas.academy/phys/field_lines/enonce.pdf), [utils.tar.gz](https://malaspinas.academy/phys/field_lines/utils.tar.gz)

<!-- ## Travail pratique: circuit RC, [HTML](https://malaspinas.academy/phys/rc_circuit/enonce.html), [PDF](https://malaspinas.academy/phys/rc_circuit/enonce.pdf) -->


# Les projets de bachelor passés

## 2022

### [R. Bach, fmpi: An easy-to-use libray using Futhark and MPI to create simple parallel programs](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Bach-575)
### [A. Blancy, HEPIA Virtuel - une plateforme virtuelle pour hepia](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Blancy-578)
### [T. Dagier-Joncour, Simulation de transports publics : l'import de Genève dans A/B street](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Dagier-Joncour-583)
### [D. Fangous, Application d'entraînement pour sportifs et entraîneurs intéractive et modulaire](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/Fangous-586)
### [I. N'Hairi, Modélisation de la population du canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2022/documents/N'Hairi-605)

## 2021

### [B. Coudray, MPI-Futhark : distributed high-performance computing for people](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Coudray-553)
### [J. Jose Goncalves, Générateur statique d'une plateforme d'apprentissage dynamique](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Jose%20Goncalves-556)
### [T. Kaltrachian, GAN's methods for super-resolution on fluid flow simulation](https://sitehepia.hesge.ch/diplome/ITI/2021/documents/Kaltrachian-570)


## 2020

### [J. Chétélat, Application de triangulation de points lidar sur le canton de Genève](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Ch%C3%A9telat-495) 
### [L. De Biasi, Inari, Apprentissage par renforcement appliqué au jeu Dota 2](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/De%20biasi-497) 
### [M. El Kharroubi, Cryptographie sur GPU avec le langage Futhark](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/El%20kharroubi-501) 
### [T. Pirkl, Outil de scraping de sites internet](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Pirkl-532), [vidéo](https://www.youtube.com/watch?v=RKho4VPnF58)
### [M. Vachon, Développement d'IHM pour la librairie open source Palabos](https://sitehepia.hesge.ch/diplome/ITI/2020/documents/Vachon-537)


## 2019

### [N. Denby, Création d'IHM pour la librairie Palabos](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Denby-449)
### [G. Laurie, Méthode de Boltzmann sur réseau sur GPU en Futhark](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Laurie%20riveros-463)
### [S. Ollquist, Étude et visualisation d'algorithmes de classement de pages Web](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Ollquist-465)
### [A. Vanini, Logiciels et Systèmes complexes](https://sitehepia.hesge.ch/diplome/ITI/2019/documents/Vanini-482)


## 2018

### [T. Ibanez, Astéroides avec algorithme génétique](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Ibanez-11), [video](https://dai.ly/x6tosqh)
### [N. Nufer, Construction d'un agent joueur par apprentissage par renforcement](https://sitehepia.hesge.ch/diplome/ITI/2018/documents/Nufer-18), [video](https://dai.ly/x6tosqg)

# [Cours archivés (Prog. Concurrente, Rust, Maths)](archives/index.html)

